import _Object$keys from "@babel/runtime-corejs3/core-js-stable/object/keys";
export default function getDataOrAriaProps(props) {
  return _Object$keys(props).reduce(function (prev, key) {
    if ((key.substr(0, 5) === 'data-' || key.substr(0, 5) === 'aria-' || key === 'role') && key.substr(0, 7) !== 'data-__') {
      prev[key] = props[key];
    }

    return prev;
  }, {});
}